﻿# Redis TRADEMARK GUIDELINES

1. **PURPOSE**. The Redis trademark and logo identify the Redis community and individual Redis projects. This policy outlines our policy and guidelines about the use of the Redis trademarks and logo by members of the Redis development and user community.

2. **WHY HAVE TRADEMARK GUIDELINES?** The Redis trademarks are a symbol of the quality and community support associated with the Redis open source software. Trademarks protect not only those using the marks, but the entire community as well. Our community members need to know that they can rely on the quality represented by the brand.  We also want to provide a level playing field.  No one should use the Redis marks in ways that mislead or take advantage of the community, or make unfair use of the trademarks. Also, use of our marks should not be in a disparaging manner because we prefer that our marks not be used to be rude about the Redis open source project or its members.	

3. **OPEN SOURCE LICENSE VS. TRADEMARKS**. The three-clause BSD license gives you the right to redistribute and use the software in source and binary forms, with or without modification, under certain conditions. However, open source licenses like the three-clause BSD license do not address trademarks.  Redis trademarks and brands need to be used in a way consistent with trademark law, and that is why we have prepared this policy – to help you understand what branding is allowed or required when using our software.	

4. **PROPER USE OF THE Redis TRADEMARKS AND LOGO**. We want to encourage a robust community for the Redis open source project. Therefore, you may do any of the following, as long as you do so in a way that does not devalue, dilute, or disparage the Redis brand. In other words, when you do these things, you should behave responsibly and reasonably in the interest of the community, but you do not need a trademark license from us to do them.
    * a. Nominative Use. You may engage in “nominative use” of the Redis name, but this does not allow you to use the logo.  Nominative use is sometimes called fair use of a trademark, and does not require a trademark license from us.  Here are examples:
        * a.i. If you develop applications for Redis, you may state that your application is designed to work with Redis, without using the Redis logo. For example, if you are developing a Foobar tool for Redis, acceptable project titles would be “Foobar for Redis" or "Redis-powered Foobar Tool". We strongly discourage, and likely would consider it a trademark problem, to use a name such as “Redis Foobar.”  
        * a.ii. If you offer maintenance, support, or hosting services for Redis software, you may accurately state that in your marketing materials or portfolio, without using the Redis logo.  
        * a.iii. You may modify the Redis software and state that your modified software is “based on the Redis software” or a similar accurate statement, without using the Redis logo.
        * a.iv. You may engage in community advocacy. The Redis software is developed by and for its community. We will allow the use of the trademarks in this context, provided:
            * a.iv.1. The trademark is used in a manner consistent with this policy
            * a.iv.2. There is no commercial purpose behind the use
            * a.iv.3. There is no suggestion that your project is approved, sponsored, or affiliated with Redis.
    * b. Attribution. Identify the trademarks and logo as trademarks and logo of Redis.
    * c. User or Development Groups. You may create Redis user or development groups, and publicize meetings or discussions for those groups.  Please consider joining our official group.
    * d. Capitalization. “Redis” should be capitalized.
    * e. Adjectives. Use the Redis mark as an adjective, not a noun or verb. 
5. **IMPROPER USE OF THE TRADEMARKS AND LOGOS**. Use of the logo is reserved solely for use by Redis and its projects in its unaltered form. Examples of unauthorized use of the Redis trademarks include:
    * a. Entity Names. You may not form a company, use a company name, or create a software product name that implies any foundational or authorship role. If you have a software product that works with Redis, it is suggested you use terms such as "`<product name>` for Redis" or "`<product name>`, Redis Edition". If you wish to form an entity for a user or developer group, please contact us and we will be glad to discuss a license for a suitable name. 
    * b. Class or Quality. You may not imply that you are providing a class or quality of Redis (e.g., "enterprise-class" or "commercial quality") in a way that implies Redis is not of that class, grade or quality, nor that other parties are not of that class, grade, or quality. 
    * c. False or Misleading Statements. You may not make false or misleading statements regarding your use of Redis (e.g., "we wrote the majority of the code" or "we are major contributors" or "we are committers").
    * d. Domain Names. You must not use Redis or any confusingly similar phrase in a domain name. For instance “www.Redishost.com” is not allowed. If you wish to use such a domain name for a user or developer group, please contact us and we will be glad to discuss a license for a suitable domain name.  Because of the many persons who, unfortunately, seek to spoof, swindle or deceive the community by using confusing domain names, we must be very strict about this rule.
    * e. Merchandise. You must not manufacture, sell or give away merchandise items, such as T-shirts and mugs, bearing the Redis logo, or create any mascot for Redis.  If you wish to use the logo to do this for a user or developer group, please contact us and we will be glad to discuss a license to do this.
    * f. Variations, takeoffs or abbreviations. You may not use a variation of the Redis name or logo for any purpose. For example, the following are not acceptable: 
        * f.i. Red
        * f.ii. MyRedis
        * f.iii. RedisHost
    * g. Endorsement or Sponsorship. You may not use the Redis logo in a manner that would imply Redis’ affiliation with or endorsement, sponsorship, or support of a product or service.
    * h. Rebranding. You may not change the brand or logo on unmodified Redis software to your own brand or logo.  You may not hold yourself out as the source of the Redis software, except to the extent you have modified it as allowed under the three-clause BSD license, and you make it clear that you are the source only of the modification.
    * i. Combination Marks. Do not use our logos or trademarks in combination with any other marks or logos (for example Foobar Redis, or the name of your company or product typeset to look like the Redis logo).
    * j. Web Tags. Do not use the Redis trademark in a title or metatag of a web page to influence search engine rankings or result listings, rather than for discussion or advocacy of the Redis project.

6. **PROPER NOTICE AND ATTRIBUTION**. The appropriate trademark symbol (i.e.,  ®) should appear at least with the first use of the Redis trademarks and all occurrences of the Redis logo. When you use a Redis trademark or logo you should include a statement attributing the trademark to Salvatore Sanfilippo. For example, "Redis, and the Redis logo are the trademarks of Salvatore Sanfilippo in the U.S. and other countries."

7. **MORE QUESTIONS?** If you have questions about this policy, please contact us at **antirez@gmail.com**.
